Ada Reference Manual (Ada 2022) — Legal Information

# J.15.13 Pragma Asynchronous

#### Syntax

1/3
The form of a pragma Asynchronous, which is a representation pragma (see 13.1), is as follows:
2/3
pragma Asynchronous (local_name);

#### Static Semantics

3/3
For an implementation that supports Annex E, a pragma Asynchronous specifies that the Asynchronous aspect (see E.4.1) for the procedure or type denoted by local_name has the value True.

#### Legality Rules

4/3
The local_name of a pragma Asynchronous shall denote a declaration that may have aspect Asynchronous specified.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe